<%@page import="org.w3c.dom.*,org.apache.xpath.*,javax.xml.parsers.*" %>
<html>
<head><title>Syndikering med Java</title></head>
<body>

<%
	String kilde = request.getParameter("kilde");
	if (kilde == null) kilde = "http://www.dr.dk/nyheder/html/nyheder/rss/";

	try {
		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		// Fortolk kildens XML-kode til et DOM-tr
		Document tr = factory.newDocumentBuilder().parse(kilde);

		// Find titlen p nyhedskilden med XPath-udtryk
		Node titel = XPathAPI.selectSingleNode(tr, "RDF/channel/title/text()");
	%>

<h1>Nyheder fra <%= titel.getNodeValue() %></h1>
<a href="<%= kilde %>" type="application/rss+xml">RSS-kilde</a> til disse nyheder.
<p>
	<%
		// Lav liste med overskrifter p artikler med XPath-udtryk
		NodeList overskrifter = XPathAPI.selectNodeList(tr, "RDF/item/title/text()");

		// Lav liste over henvisninger til mere lsninger med XPath-udtryk
		NodeList henvisninger = XPathAPI.selectNodeList(tr, "RDF/item/link/text()");

		// Gennemlb listerne og udskriv dem
		for (int i = 0; i < overskrifter.getLength(); i++) {
			out.print(overskrifter.item(i).getNodeValue());
			out.print(" <a href="+henvisninger.item(i).getNodeValue()+">mere</a><br>");
		}

	} catch (Exception e) {
		e.printStackTrace();
		out.print("Et problem opstod: "+e);
	}
%>

<p>
Prv en anden nyhedskilde

<form>
<input type="text" name="kilde" 
 value="http://slashdot.org/index.rss" 
 size="40">
</form> 

</body>
</html>